PIDCAT(1)

NAME
pidcat - log filter and viewer for Android development

SYNOPSIS
pidcat [-h] [-w N] [-l {loglevel}] [--color-gc] [--always-display-tags] [-s DEVICE_SERIAL] [-d] [-e] [package [package ...]]

DESCRIPTION
An update to Jeff Sharkey's excellent logcat color script which only shows log entries for processes from a specific application package.

During application development you often want to only display log messages coming from your app. Unfortunately, because the process ID changes every time you deploy to the phone it becomes a challenge to grep for the right thing.

This script solves that problem by filtering by application package. Supply the target package as the sole argument to the python script and enjoy a more convenient development process.

  Required Arguments:

package
    Application package name(s)

  Optional Arguments:

-h, --help
    show this help message and exit

-w N, --tag-width N
    Width of log tag

-l {V,D,I,W,E,F}, --min-level {V,D,I,W,E,F}
    Minimum level to be displayed

--color-gc
    Color garbage collection

--always-display-tags
    Always display the tag name

-s DEVICE_SERIAL, --serial DEVICE_SERIAL
    Device serial number (adb -s option)

-d, --device
    Use first device for log input (adb -d option).

-e, --emulator
    Use first emulator for log input (adb -e option).

AUTHOR
This manual page was written by Harlan Lieberman-Berg for the Debian project, adapted from the help2man output.